[Buildroot] Incorrect ABI setting on ubuntu 14.04LTS

Thomas Petazzoni thomas.petazzoni at free-electrons.com
Thu Jul 3 14:57:50 UTC 2014


Dear Baruch Siach,

On Thu, 3 Jul 2014 17:54:01 +0300, Baruch Siach wrote:

> > > 
> > > $ echo 'int main(void) {}' |
> > > ./output/host/opt/ext-toolchain/bin/arm-linux-gnueabihf-gcc -x c -o
> > > /dev/null -
> > > /mnt/ocz-vector/projects/bb-buildroot-2014.05/output/host/opt/ext-toolchain/bin/../libexec/gcc/arm-linux-gnueabihf/4.8.3/cc1:
> > > error while loading shared libraries: libz.so.1: cannot open shared object
> > > file: No such file or directory
> > 
> > apt-get install zlib1g:i386
> > 
> > is what you need.
> 
> I'm afraid Ubuntu 10.04 was not multi-arch enabled. That's why I suggested 
> ia32-libs instead.

Marco reported using 14.04 LTS.

Thomas
-- 
Thomas Petazzoni, CTO, Free Electrons
Embedded Linux, Kernel and Android engineering
http://free-electrons.com



More information about the buildroot mailing list